
// This file is included in both backend and frontend bundles.
// Bundle-specific rules can be found in 'webclient/navbar.scss' (backend) and
// 'website.ui.scss' (frontend).

// = Main Navbar
// ============================================================================
.o_main_navbar {
  background-color: #ff7f00;
  color: black;

  %-main-navbar-entry-base {
    color: black;
    background-color: #ff7f00;

    @include o-hover-text-color(rgba($white, .9), $white);
  }

}

.dropdown .dropdown-toggle, .o_main_navbar .o_menu_sections .dropdown .dropdown-toggle, .o_main_navbar .o_menu_systray .dropdown .dropdown-toggle, .o_main_navbar .o_nav_entry, .o_main_navbar .o_menu_sections .o_nav_entry, .o_main_navbar .o_menu_systray .o_nav_entry, .o_main_navbar > .o_menu_sections > div, .o_main_navbar > .o_menu_sections > div > a, .o_main_navbar .o_menu_systray > div, .o_main_navbar .o_menu_systray > div > a, .o_main_navbar .o_menu_toggle, .o_main_navbar .o_navbar_apps_menu, .o_main_navbar .o_menu_brand {
    cursor: pointer;
    color: black;
}

.o_main_navbar .dropdown .dropdown-toggle, .o_main_navbar .o_menu_sections .dropdown .dropdown-toggle, .o_main_navbar .o_menu_systray .dropdown .dropdown-toggle {
    border: 0;
    white-space: nowrap;
    color: black;
}

.btn-fill-primary, .btn-primary {
    color: #fff;
    background-color: #060606;
    border-color: #ebca08;
}

.o_required_modifier.o_input, .o_required_modifier .o_input {
    background-color: #fefeffb5 !important;
}

.o_input {
    border: 1px solid #ff7f00;
    padding: 2px 4px;
}

.o_field_widget.o_field_many2one .o_external_button {
    color: #ff7f00;
}

.o_menu_sections{
    background-color: #ff7f00;
    color: #020202;
}

.dropdown-item {
    background-color: #ff7f00;
    color: #020202;
}

.dropdown .dropdown-toggle {
    color: #212529;
}

.form-check-input {
  width: 1em;
  height: 1em;
  margin-top: 0.25em;
  vertical-align: top;
  background-color: white;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  color-adjust: exact;
  border: 1px solid #ff7f00;
}

.o_form_view .o_form_uri > span:first-child {
  color: #04010f;
}

.o_list_renderer .o_list_table thead {
  color: #ffff;
  background-color: #ff7f00;
}

.form-check-input:checked {
  background-color: #ff7f00;
  border-color: #ff7f00;
}

a {
  color: #010004;
  text-decoration: none;
}

.nav-link {
  display: block;
  padding: 0.5rem 1rem;
  color: #04010d;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
}

.btn-secondary {
  color: #000;
  background-color: #FFFFFF;
  border-color: #FFFFFF;
  color: #010002;
}

.btn-link {
  font-weight: 400;
  color: #020009;
}